Get batch jobs
curl --request GET \
--url https://gateway.app.clavata.ai:8443/v1/batch-jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.app.clavata.ai:8443/v1/batch-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.app.clavata.ai:8443/v1/batch-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batchJobs": [
{
"batchJobId": "<string>",
"name": "<string>",
"state": "BATCH_JOB_STATE_UNSPECIFIED",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"policyId": "<string>",
"policyVersionId": "<string>",
"outputFileUrl": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"type": "PRECHECK_FAILURE_TYPE_UNSPECIFIED",
"message": "<string>",
"details": "<unknown>",
"matchConfidence": "PRECHECK_MATCH_CONFIDENCE_UNSPECIFIED"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Batch Processing
Get batch jobs
Retrieves batch jobs, optionally filtered by batch job IDs or states. If no filters are provided, all batch jobs will be returned.
GET
/
v1
/
batch-jobs
Get batch jobs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
IDs of the batch jobs to get. If not provided, all batch jobs will be returned.
The state of the batch jobs to get. If not provided, all batch jobs will be returned.
Available options:
BATCH_JOB_STATE_UNSPECIFIED, BATCH_JOB_STATE_ERROR, BATCH_JOB_STATE_INITIALIZED, BATCH_JOB_STATE_QUEUED, BATCH_JOB_STATE_PREPROCESSING, BATCH_JOB_STATE_PREPROCESSED, BATCH_JOB_STATE_SUBMITTED, BATCH_JOB_STATE_POSTPROCESSING, BATCH_JOB_STATE_POSTPROCESSED, BATCH_JOB_STATE_COMPLETED, BATCH_JOB_STATE_CANCELLED, BATCH_JOB_STATE_EVALUATING Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?